Upgrade error from 15.0.7 to 16 - app upgrade

Hi,

I have an error with an upgrade from NC 15.0.7 to 16.

Nextcloud version 16.0.0
Operating system and version Centos 7.6.1810
Apache or nginx version Apache 2.4.6-80.el7.vm.3
PHP version (eg, 7.1): 7.2

I downloaded the updated zip file, replaced the files in the web folder where it is stored, and ran the upgrade manually from the command line.

I get the following error:

Checking for update of app accessibility in appstore
An unhandled exception has been thrown:
TypeError: Return value of OC\Files\AppData\AppData::getAppDataFolder() must implement interface OCP\Files\Folder, instance of OC\Files\Node\File returned in /home/phil/public_html/cloud/lib/private/Files/AppData/AppData.php:122
Stack trace:
#0 /home/phil/public_html/cloud/lib/private/Files/AppData/AppData.php(137): OC\Files\AppData\AppData->getAppDataFolder()
#1 /home/phil/public_html/cloud/lib/private/App/AppStore/Fetcher/Fetcher.php(140): OC\Files\AppData\AppData->getFolder('/')
#2 /home/phil/public_html/cloud/lib/private/Installer.php(388): OC\App\AppStore\Fetcher\Fetcher->get()
#3 /home/phil/public_html/cloud/lib/private/Updater.php(447): OC\Installer->isUpdateAvailable('accessibility')
#4 /home/phil/public_html/cloud/lib/private/Updater.php(258): OC\Updater->upgradeAppStoreApps(Array)
#5 /home/phil/public_html/cloud/lib/private/Updater.php(128): OC\Updater->doUpgrade('16.0.0.9', '15.0.7.0')
#6 /home/phil/public_html/cloud/core/Command/Upgrade.php(258): OC\Updater->upgrade()
#7 /home/phil/public_html/cloud/3rdparty/symfony/console/Command/Command.php(255): OC\Core\Command\Upgrade->execute(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#8 /home/phil/public_html/cloud/3rdparty/symfony/console/Application.php(901): Symfony\Component\Console\Command\Command->run(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#9 /home/phil/public_html/cloud/3rdparty/symfony/console/Application.php(262): Symfony\Component\Console\Application->doRunCommand(Object(OC\Core\Command\Upgrade), Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#10 /home/phil/public_html/cloud/3rdparty/symfony/console/Application.php(145): Symfony\Component\Console\Application->doRun(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#11 /home/phil/public_html/cloud/lib/private/Console/Application.php(213): Symfony\Component\Console\Application->run(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#12 /home/phil/public_html/cloud/console.php(97): OC\Console\Application->run()
#13 /home/phil/public_html/cloud/occ(11): require_once('/home/phil/publ...')

I have searched for a solution to this but have not come up with anything so far.

I have tried disabling the accessibilty app using:
php occ app:disable accessibilty

But it states that it can’t do that due to there being an upgrade available

Thanks,

Phil

Phil

Can you still login into the Nextcloud UI?

Hi Sanook,

I can’t, maintenance mode is enabled and I get a blank page.

Phil

I had a similar problem while updating, but with an older version of NC.


You can try to disable app for app with the OCC command until you can log in again.

Thanks.

I have disabled a few, but I can’t disable the cloud_federation_api app:

sudo -u phil /opt/rh/rh-php72/root/bin/php occ upgrade
The current PHP memory limit is below the recommended value of 512MB.
Nextcloud or one of the apps require upgrade - only a limited number of commands are available
You may use your browser or the occ upgrade command to do the upgrade
Set log level to debug
Updating database schema
Updated database
Checking for update of app cloud_federation_api in appstore
An unhandled exception has been thrown:
TypeError: Return value of OC\Files\AppData\AppData::getAppDataFolder() must implement interface OCP\Files\Folder, instance of OC\Files\Node\File returned in /home/phil/public_html/cloud/lib/private/Files/AppData/AppData.php:122
Stack trace:
#0 /home/phil/public_html/cloud/lib/private/Files/AppData/AppData.php(137): OC\Files\AppData\AppData->getAppDataFolder()
#1 /home/phil/public_html/cloud/lib/private/App/AppStore/Fetcher/Fetcher.php(140): OC\Files\AppData\AppData->getFolder('/')
#2 /home/phil/public_html/cloud/lib/private/Installer.php(388): OC\App\AppStore\Fetcher\Fetcher->get()
#3 /home/phil/public_html/cloud/lib/private/Updater.php(447): OC\Installer->isUpdateAvailable('cloud_federatio...')
#4 /home/phil/public_html/cloud/lib/private/Updater.php(258): OC\Updater->upgradeAppStoreApps(Array)
#5 /home/phil/public_html/cloud/lib/private/Updater.php(128): OC\Updater->doUpgrade('16.0.0.9', '15.0.7.0')
#6 /home/phil/public_html/cloud/core/Command/Upgrade.php(258): OC\Updater->upgrade()
#7 /home/phil/public_html/cloud/3rdparty/symfony/console/Command/Command.php(255): OC\Core\Command\Upgrade->execute(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#8 /home/phil/public_html/cloud/3rdparty/symfony/console/Application.php(901): Symfony\Component\Console\Command\Command->run(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#9 /home/phil/public_html/cloud/3rdparty/symfony/console/Application.php(262): Symfony\Component\Console\Application->doRunCommand(Object(OC\Core\Command\Upgrade), Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#10 /home/phil/public_html/cloud/3rdparty/symfony/console/Application.php(145): Symfony\Component\Console\Application->doRun(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#11 /home/phil/public_html/cloud/lib/private/Console/Application.php(213): Symfony\Component\Console\Application->run(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#12 /home/phil/public_html/cloud/console.php(97): OC\Console\Application->run()
#13 /home/phil/public_html/cloud/occ(11): require_once('/home/phil/publ...')

https://help.nextcloud.com/search?q=cloud_federation_api

Thanks Sanook,

I don’t think it is related to the apps, I think there must be an underlying problem with it.

I’m going to try a clean install with a DB backup as well of 15.0.7, and if that works OK I will try to upgrade.

I’ll report back…

Phil

I would try the web updater first

Did you find a resolution for this @philtrick?

I just tried to update with the updater from 15.0.6 to 16.0.9 and ran into the same issue.

I would migrate to MariaDB/MySQL first @MBfromOK